jest.mock('fs')
const { resolvers, typeDefs } = require('../../src/interfaces')

describe('interfaces module', () => {
  const MOCK_FILES = ['serial_worker.py', 'usbtmc_worker.py']

  beforeEach(() => {
    require('fs').__setMockFiles(MOCK_FILES)
  })
  it('exports resolvers and typeDefs', () => {
    expect(resolvers).toBeDefined()
    expect(typeDefs).toBeDefined()
  })
  it('resolves queries and mutations', () => {
    expect(resolvers).toHaveProperty('Query'),
    expect(resolvers).toHaveProperty('Mutation')
  })

  const { Query, Mutation, Interface, Connection } = resolvers
  it('finds interfaces', async () => {
    const resp = await Query.interfaces()
    expect(resp).toBe([])
  })
})
